## designate 5.0.0

=== debian/changelog ===
designate (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:15:56 -0400

designate (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 14:55:38 -0400

designate (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:26 -0400

designate (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/p/*: Drop, no longer required.
  * New snapshot.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:02:36 -0400

designate (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/p/fix-sqla-versions.patch: Lift upper version bound on sqlalchemy.
  * d/p/sqla-1.1-compat.patch: Cherry pick fixes for SQLAlchemy 1.1
    compatibility.
  * d/rules,test-blacklist.txt: Drop blacklisting of tests.

 -- James Page <james.page@ubuntu.com>  Fri, 05 May 2017 15:06:24 -0400

designate (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * Disable sphinxdoc helper until document index fixed.
  * Drop all patches, no longer required.
  * Switch Depends on retrying -> tenacity.
  * d/rules,test-blacklist.txt: Blacklist failing tests for SOA record
    retrieval (see http://pad.lv/1688351).

 -- James Page <james.page@ubuntu.com>  Thu, 04 May 2017 13:09:23 -0400

designate (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 
  * d/control: Cleanup dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:44:20 -0500

designate (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/p/fix-noop-metrics-timed-decorator.patch: Dropped no longer needed.
  * New upstream milestone for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:29:59 -0500

designate (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 06:41:29 -0500

designate (1:4.0.0~b2-0ubuntu5) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control, debian/tests: Add autopgktest. 

  [ Corey Bryant ]
  * d/p/fix-noop-metrics-timed-decorator.patch: Cherry-pick patch from gerrit
    to enable designate-mdns execution when monasca-statsd is not installed or
    (LP: #1659638).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Jan 2017 07:58:46 -0500

designate (1:4.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control: Move python-monasca-statsd back to Suggests. It is optional
    and disabled by default (see [monasca:statsd] config section).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 10:59:18 -0500

designate (1:4.0.0~b2-0ubuntu3) zesty; urgency=medium

  * d/control: Move python-monasca-statsd to Depends section since it is
    a required dependency.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 08:55:26 -0500

designate (1:4.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/control, d/pydist-overrides: Add python-monasca-statsd as Suggests
    for binary package as it is optional and not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Jan 2017 11:57:00 -0500

designate (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Add python-monasca-statsd. 
  * debian/patches/skip-tests.patch: Skip failing unit tests.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 12:15:59 -0500

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python-sphinxcontrib-httpdomain,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-dnspython (>= 1.14.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-flask (>= 0.10),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-monasca-statsd (>= 1.1.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:6.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-win (>= 2.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.24.2),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-suds (>= 0.6),
                     python-tempest (>= 1:16.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob (>= 1.7.1),
                     python-webtest (>= 2.0),
                     python-werkzeug (>= 0.7),
                     python-zake (>= 0.1.6),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Homepage: https://github.com/openstack/designate
XS-Testsuite: autopkgtest

Package: python-designate
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-dnspython (>= 1.14.0),
         python-eventlet (>= 0.18.2),
         python-flask (>= 0.10),
         python-greenlet (>= 0.3.2),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 3.1.0),
         python-keystonemiddleware (>= 4.2.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.11.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:6.3.0),
         python-os-win (>= 2.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.24.2),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-suds,
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.47.0),
         python-webob (>= 1.7.1),
         python-werkzeug (>= 0.7),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-monasca-statsd (>= 1.1.0),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: designate-producer
Architecture: all
Depends: designate-common (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/etc/designate/designate.conf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf doc/build build
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf .eggs

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	# NOTE(jamespage): Disable until search index fixed.
	# dh_sphinxdoc -O--buildsystem=python_distutils
endif

## designate 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
greenlet>=0.3.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
WebOb>=1.7.1 # MIT
dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.47.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
monasca-statsd>=1.1.0 # Apache-2.0

=== debian/changelog ===
designate (1:5.0.1-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:41:46 -0400

## designate 5.0.2

=== debian/changelog ===
designate (1:5.0.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 13:37:40 -0400

designate (1:5.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 22 Mar 2018 22:20:35 +0000

## designate 6.0.0

=== debian/changelog ===
designate (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 13:37:02 -0500

designate (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:06:14 +0000

designate (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/rules,designate-common.install: Generate and install sample policy
    file only, as default policy is now in code.
  * d/control: Add python-sphinxcontrib.httpdomain to BD's.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:43:46 -0500

designate (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Pin to Queens series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump minimum debhelper version to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/rules,designate-common.install: Generate configuration and policy
    files and install directly from etc/designate.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 16:25:33 +0000

designate (1:6.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:33:42 +0000

designate (1:6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 15:46:56 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,24 @@
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=python_distutils
 	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
-	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/etc/designate/designate.conf
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -rf doc/build build
 	rm -f debian/*.init debian/*.upstart debian/*.service
 	rm -rf .eggs
+	rm -f etc/designate/policy.json.sample etc/designate/designate.conf
 
 override_dh_install:
 	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc
 
 override_dh_auto_build:
+	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator \
+		--config-file=$(CURDIR)/etc/designate/designate-policy-generator.conf \
+		--output-file=$(CURDIR)/etc/designate/policy.json.sample
+	PYTHONPATH=$(CURDIR) oslo-config-generator \
+		--config-file=$(CURDIR)/etc/designate/designate-config-generator.conf \
+		--output-file=$(CURDIR)/etc/designate/designate.conf
 	dh_auto_build -O--buildsystem=python_distutils
 
 override_dh_auto_test:

## designate 6.0.0%7eb1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
greenlet>=0.4.10 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.2.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=4.6.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
WebOb>=1.7.1 # MIT
dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.58.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
monasca-statsd>=1.1.0 # Apache-2.0

## designate 6.0.1

=== requirements.txt ===
--- 
+++ 
@@ -8,19 +8,19 @@
 greenlet>=0.4.10 # MIT
 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
 jsonschema<3.0.0,>=2.6.0 # MIT
-keystoneauth1>=3.2.0 # Apache-2.0
+keystoneauth1>=3.3.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-oslo.config>=4.6.0 # Apache-2.0
-oslo.concurrency>=3.20.0 # Apache-2.0
+oslo.config>=5.1.0 # Apache-2.0
+oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service>=1.24.0 # Apache-2.0
-oslo.utils>=3.28.0 # Apache-2.0
+oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
@@ -29,7 +29,7 @@
 python-neutronclient>=6.3.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
-six>=1.9.0 # MIT
+six>=1.10.0 # MIT
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
@@ -40,11 +40,11 @@
 dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
-oslo.policy>=1.23.0 # Apache-2.0
+oslo.context>=2.19.2 # Apache-2.0
+oslo.policy>=1.30.0 # Apache-2.0
 Werkzeug>=0.7 # BSD License
 python-memcached>=1.56 # PSF
 tooz>=1.58.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-os-win>=2.0.0 # Apache-2.0
+os-win>=3.0.0 # Apache-2.0
 monasca-statsd>=1.1.0 # Apache-2.0

=== debian/changelog ===
designate (1:6.0.1-0ubuntu1.2) bionic; urgency=medium

  [ Edward Hope-Morley ]
  * d/p/add-unique-constraint-to-service_statuses.patch:
    Remove use of tests.fixtures.StandardLogging since it is
    not supported in stable/queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 08:53:10 -0400

designate (1:6.0.1-0ubuntu1.1) bionic; urgency=medium

  * Add patch to create service_statuses uniq constraint (LP: #1768824)
    d/p/add-unique-constraint-to-service_statuses.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 03 Jun 2019 15:14:38 +0100

designate (1:6.0.1-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:05 -0400

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python-sphinxcontrib.blockdiag,
 python-sphinxcontrib.httpdomain,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 2.7.0),
 python-dnspython (>= 1.14.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-flask (>= 0.10),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-monasca-statsd (>= 1.1.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-suds (>= 0.6),
 python-tempest (>= 1:17.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python-werkzeug (>= 0.7),
 python-zake (>= 0.1.6),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Homepage: https://github.com/openstack/designate
XS-Testsuite: autopkgtest

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 designate-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 python-designate (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python-designate
Section: python
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 2.7.0),
 python-dnspython (>= 1.14.0),
 python-eventlet (>= 0.18.2),
 python-flask (>= 0.10),
 python-greenlet (>= 0.4.10),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-migrate (>= 0.11.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-suds (>= 0.6),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 python-werkzeug (>= 0.7),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-monasca-statsd (>= 1.1.0),
Provides:
 ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

=== debian/tests/control ===
Tests: designate-daemons python-designate
Depends: python-designate, designate-api, designate, designate-sink, designate-mdns,
 designate-pool-manager, designate-zone-manager, designate-worker, 
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/designate designate-(6\.\d.*)\.tar\.gz
